Name:           maliit-keyboard
Version:        2.3.1
Release:        %mkrel 1
Summary:        Virtual keyboard based on Maliit framework
Group:          System/Base
# Automatically converted from old format: LGPLv3 and BSD - review is highly recommended.
License:        LGPL-3.0-only AND LicenseRef-Callaway-BSD
URL:            https://maliit.github.io/
Source0:        https://github.com/maliit/keyboard/archive/%{version}/%{name}-%{version}.tar.gz

# Upstream patches
# https://github.com/maliit/keyboard/pull/187
Patch1:         make-sure-PressArea-gets-reset-when-the-keyboard-hides.patch

BuildRequires:  cmake
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  pkgconfig(anthy)
BuildRequires:  pkgconfig(chewing)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libpinyin)
BuildRequires:  pkgconfig(maliit-plugins) >= 2.3.0
BuildRequires:  gettext

Requires:       qtwayland5

%description
Maliit provides a flexible and cross-platform input method framework.
It has a plugin-based client-server architecture where applications
act as clients and communicate with the Maliit server via input
context plugins. The communication link currently uses D-Bus.

%prep
%autosetup -n keyboard-%{version} -p1

%build
%cmake -Denable-presage=OFF
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/doc/maliit-keyboard

%find_lang %{name}

%files -f %{name}.lang
%license COPYING.BSD COPYING.LGPL COPYING
%doc README.md
%{_bindir}/maliit-keyboard
%dir %{_libdir}/maliit/
%{_libdir}/maliit/keyboard2/
%{_libdir}/maliit/plugins/
%dir %{_datadir}/maliit/
%{_datadir}/maliit/keyboard2/
%{_datadir}/glib-2.0/schemas/org.maliit.keyboard.maliit.gschema.xml
%{_datadir}/applications/com.github.maliit.keyboard.desktop
%{_metainfodir}/com.github.maliit.keyboard.metainfo.xml


%changelog
* Tue Jun 03 2025 daviddavid <daviddavid> 2.3.1-1.mga10
+ Revision: 2187930
- initial package maliit-keyboard (mga#34266)

